Skip to main content
PATCH
Update a group
The organization bot token must have the following scopes:
  • permission-group:write
Renaming a group returns 409 conflict_error if another active group has the same exact, case-sensitive name. Legacy duplicates may still appear in list responses. SCIM-managed groups must be changed through the configured identity provider. Trying to update one returns a 409 conflict_error.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Path Parameters

group_id
string
required

The ID of the group.

space_id
string<uuid>
required

Body

application/json
name
string
required

The new name of the group.

Required string length: 1 - 200
Pattern: \S

Response

object
string
required

Always group

Allowed value: "group"
id
string
required

The ID of the group.

name
string
required

The name of the group.